API DocumentationManufacturer work order controller

Update Routing

PATCH
/api/manufacturer/v1/work-orders/{id}/routing

Authorization

Phasio API Bearer Token
headerAuthorizationBearer <token>

Path Parameters

id*string
Formatuuid

Request Body

application/json
  1. body
steps*array<>

Response Body

Successfully replaced the work order's routing

application/json
  1. response
id*string
Formatuuid
workOrderNumber?integer
Formatint64
routingTemplateId?string
Formatuuid
name?string
quantity*integer
routing*array<>
createdAt*string
Formatdate-time
startDate*string
Formatdate-time
dueDate?string
Formatdate-time
priority?integer
Formatint32
curl -X PATCH 'https://m-api.eu.phas.io/api/manufacturer/v1/work-orders/497f6eca-6276-4993-bfeb-53cbbbba6f08/routing' \  -H 'Content-Type: application/json' \  -d '{  "steps": [    {      "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",      "sequence": 0    }  ]}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "workOrderNumber": 0,  "routingTemplateId": "d5248ea6-c45d-4ca8-a631-888f01032f54",  "name": "string",  "quantity": 0,  "routing": [    {      "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",      "sequence": 0,      "statusId": "e900225c-0629-4e96-be6e-86a17a309645"    }  ],  "createdAt": "2019-08-24T14:15:22Z",  "startDate": "2019-08-24T14:15:22Z",  "dueDate": "2019-08-24T14:15:22Z",  "priority": 0}